﻿using System.Windows;

namespace XamDataGridDependencyObjectTest
{
    public class GridRecord : DependencyObject
    {
        public static readonly DependencyProperty KeyProperty =
            DependencyProperty.Register("Key", typeof (string), typeof (GridRecord), new PropertyMetadata(default(string)));

        public static readonly DependencyProperty ValueProperty =
            DependencyProperty.Register("Value", typeof (int), typeof (GridRecord), new PropertyMetadata(default(int)));

        public GridRecord(string key, int value)
        {
            Key = key;
            Value = value;
        }

        public string Key
        {
            get { return (string) GetValue(KeyProperty); }
            set { SetValue(KeyProperty, value); }
        }

        public int Value
        {
            get { return (int) GetValue(ValueProperty); }
            set { SetValue(ValueProperty, value); }
        }

        public void IncrementValue()
        {
            Value = Value + 1;
        }
    }
}