﻿using System.Collections.ObjectModel;
using System.Windows;

namespace XamDataGridDependencyObjectTest
{
    public class MainWindowViewModel : DependencyObject
    {
        public static readonly DependencyProperty RecordsProperty =
            DependencyProperty.Register("Records", typeof (ObservableCollection<GridRecord>), typeof (MainWindowViewModel), new PropertyMetadata(default(ObservableCollection<GridRecord>)));

        public ObservableCollection<GridRecord> Records
        {
            get { return (ObservableCollection<GridRecord>) GetValue(RecordsProperty); }
            set { SetValue(RecordsProperty, value); }
        }

        public MainWindowViewModel(int count)
        {
            Records = new ObservableCollection<GridRecord>();
            const string keyPrefix = "record";
            for (int i = 0; i < count; i++)
            {
                Records.Add(new GridRecord(keyPrefix + i, i));
            }
        }

        public void IncrementRecordValues()
        {
            foreach (var gridRecord in Records)
            {
                gridRecord.IncrementValue();
            }
        }
    }
}